osl::checkmate::DfpnPathRecord Struct Reference

## Public Member Functions

| DfpnPathRecord ()

## Public Attributes

SimpleTwinList | twin_list
int | distance
| distance from root
bool | visiting
size_t | node_count

## Static Public Attributes

static const int | MaxDistance = 1024*128

## Detailed Description

Definition at line 149 of file dfpn.cc.

## Constructor & Destructor Documentation

## DfpnPathRecord()

osl::checkmate::DfpnPathRecord::DfpnPathRecord | ( |  | ) |

inline

Definition at line 157 of file dfpn.cc.

References distance, MaxDistance, node_count, and visiting.

## Member Data Documentation

## distance

int osl::checkmate::DfpnPathRecord::distance

distance from root

Definition at line 154 of file dfpn.cc.

Referenced by osl::checkmate::Dfpn::analyze(), osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::defense(), and DfpnPathRecord().

## MaxDistance

const int osl::checkmate::DfpnPathRecord::MaxDistance = 1024*128

static

Definition at line 151 of file dfpn.cc.

Referenced by osl::checkmate::DfpnPathList::allocate(), DfpnPathRecord(), and osl::checkmate::DfpnPathList::find().

## node_count

size_t osl::checkmate::DfpnPathRecord::node_count

Definition at line 156 of file dfpn.cc.

Referenced by osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::defense(), and DfpnPathRecord().

## twin_list

SimpleTwinList osl::checkmate::DfpnPathRecord::twin_list

Definition at line 152 of file dfpn.cc.

Referenced by osl::checkmate::Dfpn::analyze(), osl::checkmate::Dfpn::hasCheckmateMove(), osl::checkmate::Dfpn::hasEscapeMove(), and osl::checkmate::Dfpn::tryProofMain().

## visiting

bool osl::checkmate::DfpnPathRecord::visiting

Definition at line 155 of file dfpn.cc.

Referenced by DfpnPathRecord().

The documentation for this struct was generated from the following file:

- dfpn.cc